
Name:		gl-117
Version:	1.3.2
Release:	%mkrel 10
Summary:	Action flight simulator
License:	GPLv2
URL:		http://www.heptargon.de/
Source0:	http://prdownloads.sourceforge.net/gl-117/%{name}-%{version}-src.tar.bz2
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
Group:		Games/Simulation
BuildRequires:	mesagl-devel
BuildRequires:	mesaglu-devel
BuildRequires:	glut-devel
BuildRequires:	SDL-devel
BuildRequires:	SDL_mixer-devel

%description
GL-117 is an action flight simulator for Linux/Unix and MSWindows.
Enter the Eagle Squadron and succeed in several challanging missions
leading though different landscapes. Five predefined levels of video
quality and an amount of viewing ranges let you perfectly adjust the
game to the performance of your system. Joystick, mouse,
sound effects, music... 

%prep
%setup -q -n %{name}-%{version}-src

%build
%configure2_5x	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir}
%make

%install
%{makeinstall_std}

install -d $RPM_BUILD_ROOT%{_datadir}/applications
cat <<EOF > $RPM_BUILD_ROOT%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
[Desktop Entry]
Name=GL-117
Comment=%{Summary}
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;
EOF

install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

install -m644 doc/%{name}.6 -D $RPM_BUILD_ROOT%{_mandir}/man6/%{name}.6

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README FAQ
%{_mandir}/man6/%{name}.6*
%{_gamesdatadir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%defattr(755,root,root,755)
%{_gamesbindir}/*




%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.3.2-10.mga3
+ Revision: 351661
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 malo <malo> 1.3.2-9.mga3
+ Revision: 343775
- updated RPM groups

* Fri Aug 12 2011 stormi <stormi> 1.3.2-8.mga2
+ Revision: 132848
- buildrequires glut-devel
- try to build without mesaglut-devel BR

* Sun Jul 10 2011 stormi <stormi> 1.3.2-7.mga2
+ Revision: 121443
- increase release so that it's higher than in mageia 1
- remove buildroot definition

* Mon Jun 13 2011 zezinho <zezinho> 1.3.2-6.mga2
+ Revision: 105644
- imported package gl-117

